FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ConstRef< T > Class Template Reference

An adapter. Own or reference an immutable object. More...

`#include <ref.hpp>`

## Public Member Functions
| ConstRef ()=default
| ConstRef (T t)
| ConstRef (const T *t)
ConstRef & | operator= (ConstRef &&) noexcept=default
| ConstRef (const ConstRef< T > &)=default
| ConstRef (ConstRef< T > &&) noexcept=default
| ~ConstRef ()=default
ConstRef< T > & | operator= (const ConstRef< T > &)=default
const T & | operator() () const
const T & | operator* () const
const T * | operator-> () const

## Detailed Description

template<typename T>
class ftxui::ConstRef< T >

An adapter. Own or reference an immutable object.

Definition at line 17 of file ref.hpp.

## Constructor & Destructor Documentation

## ◆ ConstRef() [1/5]

template<typename T >

ConstRef | ( |  | ) |
| default

## ◆ ConstRef() [2/5]

template<typename T >

ConstRef | ( | T | t | ) |
| inline

Definition at line 20 of file ref.hpp.

## ◆ ConstRef() [3/5]

template<typename T >

ConstRef | ( | const T * | t | ) |
| inline

Definition at line 21 of file ref.hpp.

## ◆ ConstRef() [4/5]

template<typename T >

ConstRef | ( | const ConstRef< T > & |  | ) |
| default

## ◆ ConstRef() [5/5]

template<typename T >

ConstRef | ( | ConstRef< T > && |  | ) |
| default noexcept

## ◆ ~ConstRef()

template<typename T >

~ConstRef | ( |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T >

ConstRef & operator= | ( | ConstRef< T > && |  | ) |
| default noexcept

## ◆ operator=() [2/2]

template<typename T >

ConstRef< T > & operator= | ( | const ConstRef< T > & |  | ) |
| default

## ◆ operator()()

template<typename T >

const T & operator() | ( |  | ) | const
| inline

Definition at line 31 of file ref.hpp.

## ◆ operator*()

template<typename T >

const T & operator* | ( |  | ) | const
| inline

Definition at line 32 of file ref.hpp.

## ◆ operator->()

template<typename T >

const T * operator-> | ( |  | ) | const
| inline

Definition at line 33 of file ref.hpp.

The documentation for this class was generated from the following file:

- ref.hpp